using StandManager.Domain.Entita.Base;
using System.ComponentModel.DataAnnotations.Schema;

namespace StandManager.Domain.Entita;

public class InvitoEvento : EntitaBase
{
    [ForeignKey(nameof(Evento))]
    public Guid? EventoId { get; set; }
    public Evento Evento{ get; set; }

    [ForeignKey(nameof(Cliente))]
    public Guid? ClienteId { get; set; }
    public Cliente Cliente { get; set; }

    [InverseProperty(nameof(IscrizioneEvento.InvitoEvento))]
    public List<IscrizioneEvento> IscrizioniEvento { get; set; }
    public string CodiceFornito { get; set; }
}
